Skip to content

Render Natal Chart (PNG) - v2​

GET
/api/chart2/natal.png

Render a natal chart using the new Chart2 engine as PNG.

Authorizations​

ApiKeyAuth

API key for authentication. Get your API key from the dashboard.

Type
API Key (header: X-Api-Key)

Parameters​

Query Parameters

width*
Type
string
Required
height*
Type
string
Required
location.longitude*
Type
string
Required
location.latitude*
Type
string
Required
location.timezone*
Type
string
Required
dateTime*
Type
string
Required

Responses​

Chart rendered successfully

image/png
JSON
[
]

Playground​

Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI

AstroAPI Documentation